//
// Copyright (c) 2004, O&O Services GmbH.
// Am Borsigturm 48
// 13507 Berlin
// GERMANY
// Tel: +49 30 43 03 43-03, Fax: +49 30 43 03 43-99
// E-mail: info@oo-services.com
// Web: http://www.oo-services.com
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without 
// modification, are permitted provided that the following conditions are met:
//
// * Redistributions of source code must retain the above copyright notice, 
//   this list of conditions and the following disclaimer.
// * Redistributions in binary form must reproduce the above copyright notice, 
//   this list of conditions and the following disclaimer in the documentation 
//   and/or other materials provided with the distribution.
// * Neither the name of O&O Services GmbH nor the names of its contributors 
//   may be used to endorse or promote products derived from this software
//   without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
// PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; 
// OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
// WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
// OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
// EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using OOGroup.Windows.Forms;

namespace ImageButtonTest
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class ImageButtonForm : System.Windows.Forms.Form
	{
		private OOGroup.Windows.Forms.ImageButton SearchImageButton;
		private OOGroup.Windows.Forms.ImageButton GoImageButton;
		private OOGroup.Windows.Forms.ImageButton DisableButton;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public ImageButtonForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			Bitmap searchBitmap = new Bitmap("Search_16X16_32bpp.png");
			SearchImageButton.SetImage(searchBitmap, ImageButton.Alignment.Left, 2, 2, 0, 0);

			Bitmap goBitmap = new Bitmap("Go_48X48_32bpp.png");
			Bitmap goHoverBitmap = new Bitmap("Go!_48X48_32bpp.png");
			Bitmap goDisabledBitmap = new Bitmap("GoDisabled_48X48_32bpp.png");
			GoImageButton.SetImage(goBitmap, goHoverBitmap, goBitmap, goDisabledBitmap, goBitmap,
				ImageButton.Alignment.Center);
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(ImageButtonForm));
			this.SearchImageButton = new OOGroup.Windows.Forms.ImageButton();
			this.GoImageButton = new OOGroup.Windows.Forms.ImageButton();
			this.DisableButton = new OOGroup.Windows.Forms.ImageButton();
			this.SuspendLayout();
			// 
			// SearchImageButton
			// 
			this.SearchImageButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.SearchImageButton.Location = new System.Drawing.Point(16, 16);
			this.SearchImageButton.Name = "SearchImageButton";
			this.SearchImageButton.Size = new System.Drawing.Size(58, 25);
			this.SearchImageButton.TabIndex = 0;
			this.SearchImageButton.Text = "Search";
			this.SearchImageButton.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// GoImageButton
			// 
			this.GoImageButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.GoImageButton.Location = new System.Drawing.Point(16, 56);
			this.GoImageButton.Name = "GoImageButton";
			this.GoImageButton.Size = new System.Drawing.Size(56, 56);
			this.GoImageButton.TabIndex = 1;
			// 
			// DisableButton
			// 
			this.DisableButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.DisableButton.Location = new System.Drawing.Point(100, 72);
			this.DisableButton.Name = "DisableButton";
			this.DisableButton.TabIndex = 2;
			this.DisableButton.Text = "Disable";
			this.DisableButton.Click += new System.EventHandler(this.DisableButton_Click);
			// 
			// ImageButtonForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(216, 130);
			this.Controls.Add(this.DisableButton);
			this.Controls.Add(this.GoImageButton);
			this.Controls.Add(this.SearchImageButton);
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Name = "ImageButtonForm";
			this.Text = "ImageButton Demo";
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new ImageButtonForm());
		}

		private void DisableButton_Click(object sender, System.EventArgs e)
		{
			GoImageButton.Enabled = !GoImageButton.Enabled;
			DisableButton.Text = GoImageButton.Enabled ? "Disable" : "Enable";
		}
	}
}
